List workflow executions
GET /v1/workflow-executions · SDK listWorkflowExecutions · CLI deployments workflow-execution list
Requires workflows:read.
AuthorizationBearer <token>Opaque bearer credential scoped to one service account and tenant.
cursor?stringOpaque cursor returned by the previous page.
1 <= length <= 4096limit?integerMaximum number of resources to return.
1 <= value <= 100status?stringOnly return workflow executions in this status.
"queued""running""waiting-for-agent""waiting-for-tool""waiting-for-approval""waiting-for-delivery""completed""failed""canceling""canceled"x-deployments-environment?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListWorkflowExecutionsResponse
application/json- response
items*array<>nextCursor?|null|nullcurl -X GET "https://example.com/v1/workflow-executions"{ "items": [ { "environmentId": "string", "organizationId": "string", "projectId": "string", "completedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "currentStepAttempt": 0, "currentStepId": "string", "id": "string", "startedAt": "2019-08-24T14:15:22Z", "status": "queued", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "workflowContentHash": "string", "workflowDefinitionId": "string", "workflowReleaseId": "string", "workflowReleaseNumber": 1, "workspaceId": "string" } ], "nextCursor": "string"}